[Overview][Types][Classes][Procedures and functions][Index] | Reference for unit 'ImgList' (#lcl)

# Create

Allocates a new record instance.

## Declaration

Source position: imglist.pp line 196

`class function TScaledImageListResolution.Create(`
`AResolution: TCustomImageListResolution;`
`const AScaleFactor: Double`
`):TScaledImageListResolution;`

## Arguments

`AResolution` |  | Resolution used as the basis for the scaled images.
`AScaleFactor` |  | Scale factor applied to the scaled images.

## Function result

Record instance allocated in the class function.

## Description

Create is a class function used to allocate a new TScaledImageListResolution record instance using the specified image resolution and scaling factor. The return value is the TScaledImageListResolution record instance allocated in the class function.

AResolution contains the TCustomImageListResolution instance with image data used as the source for the Scaled images. AResolution is stored in the Resolution property to provide access to its properties and methods in the scaled image resolution.

AScaleFactor is a Double value that contains the scaling factor applied to the source images in Resolution.

Create sets the value in the Width and Height properties to the scaled sizes from the Resolution; i. e. (Resolution.Width / AScaleFactor) and (Resolution.Height / AScaleFactor). If Resolution has not been assigned (contains Nil), the value in both Height and Width are set to 0 (zero).